accrue.analysis.goals

## Class RegisterExpressionsGoal

- java.lang.Object
- - polyglot.frontend.goals.AbstractGoal
  - - polyglot.frontend.goals.Barrier
    - - accrue.analysis.goals.RegisterExpressionsGoal

- All Implemented Interfaces:
    polyglot.frontend.goals.Goal

      public class RegisterExpressionsGoal
      extends polyglot.frontend.goals.Barrier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class polyglot.frontend.goals.Barrier

      `polyglot.frontend.goals.Barrier.BarrierPass`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<polyglot.ast.Node,java.util.Set<polyglot.ast.Node>>` | `enclosedExprs`
    `protected java.util.Map<polyglot.ast.Node,polyglot.ast.Node>` | `enclosingStmt`

    - ### Fields inherited from class polyglot.frontend.goals.Barrier

      `scheduler`

    - ### Fields inherited from class polyglot.frontend.goals.AbstractGoal

      `corequisites, job, name, prerequisites, state`

    - ### Fields inherited from interface polyglot.frontend.goals.Goal

      `ATTEMPTED, REACHED, RUNNING, UNREACHABLE, UNREACHABLE_THIS_RUN, UNREACHED`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RegisterExpressionsGoal(polyglot.frontend.Scheduler scheduler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<polyglot.ast.Node,polyglot.ast.Node>` | `enclosingStmt()`
    `polyglot.frontend.goals.Goal` | `goalForJob(polyglot.frontend.Job job)`
    `static RegisterExpressionsGoal` | `singleton(polyglot.frontend.ExtensionInfo extInfo)`

    - ### Methods inherited from class polyglot.frontend.goals.Barrier

      `createPass, equals, hashCode, jobs, toString`

    - ### Methods inherited from class polyglot.frontend.goals.AbstractGoal

      `addCorequisiteGoal, addPrerequisiteGoal, checkCycles, conflictsWith, corequisiteGoals, hasBeenReached, isReachable, job, name, prerequisiteGoals, setState, setUnreachable, setUnreachableThisRun, state, stateString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### enclosingStmt

          protected java.util.Map<polyglot.ast.Node,polyglot.ast.Node> enclosingStmt

    - #### enclosedExprs

          protected java.util.Map<polyglot.ast.Node,java.util.Set<polyglot.ast.Node>> enclosedExprs

  - ### Constructor Detail

    - #### RegisterExpressionsGoal

          protected RegisterExpressionsGoal(polyglot.frontend.Scheduler scheduler)

  - ### Method Detail

    - #### enclosingStmt

          public java.util.Map<polyglot.ast.Node,polyglot.ast.Node> enclosingStmt()

    - #### goalForJob

          public polyglot.frontend.goals.Goal goalForJob(polyglot.frontend.Job job)

      Specified by:
        `goalForJob` in class `polyglot.frontend.goals.Barrier`

    - #### singleton

          public static RegisterExpressionsGoal singleton(polyglot.frontend.ExtensionInfo extInfo)